import { Content } from "antd/es/layout/layout";
import AppRoutes from "../AppRoutes";
import { Layout } from "antd";
import HeaderMenu from "../Header";

export default function PageContent({
  isSideMenuCollapsed,
  setIsSideMenuCollapsed,
}) {
  return (
    <Layout style={{ marginLeft: isSideMenuCollapsed ? 0 : 200 }}>
      <HeaderMenu
        isSideMenuCollapsed={isSideMenuCollapsed}
        setIsSideMenuCollapsed={setIsSideMenuCollapsed}
      />

      <Content
        style={{
          padding: 12,
        }}
      >
        <AppRoutes />
      </Content>
    </Layout>
  );
}
